//#define HIGH_QUALITY_LIGHT

uniform mat4 pProjectionMatrix;
uniform mat4 pWorldMatrix;
uniform mat4 pCameraMatrix;
uniform mat4 pNormalMatrix;

attribute mediump vec4 pInVertexPosition;
attribute mediump vec4 pInTextureCoordinate;
attribute mediump vec4 pInNormal;

varying mediump vec2 vTexCoord;
void main()
{
    gl_Position = pProjectionMatrix * pCameraMatrix * pWorldMatrix * pInVertexPosition;
    vTexCoord = pInTextureCoordinate.xy;
}
